Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::D3D9DriverList Class Reference

`#include <OgreD3D9DriverList.h>`

List of all members.

## Public Methods

| D3D9DriverList (LPDIRECT3D9 pD3D)
| ~D3D9DriverList ()
BOOL | enumerate ()
size_t | count () const
D3D9Driver * | item (size_t index)
D3D9Driver * | item (const String &name)

## Private Attributes

std::vector< D3D9Driver > | mDriverList
LPDIRECT3D9 | mpD3D

## Constructor & Destructor Documentation

Ogre::D3D9DriverList::D3D9DriverList | ( | LPDIRECT3D9 | pD3D | ) |

| Definition at line 31 of file OgreD3D9DriverList.cpp. References enumerate(), Except, and mpD3D.

Ogre::D3D9DriverList::~D3D9DriverList | ( |  | ) |

| Definition at line 38 of file OgreD3D9DriverList.cpp. References mDriverList.

## Member Function Documentation

size_t Ogre::D3D9DriverList::count | ( |  | ) | const

| Definition at line 61 of file OgreD3D9DriverList.cpp. References mDriverList. Referenced by Ogre::D3D9RenderSystem::initConfigOptions(), Ogre::D3D9RenderSystem::initialise(), Ogre::D3D9RenderSystem::refreshD3DSettings(), and Ogre::D3D9RenderSystem::validateConfigOptions().

BOOL Ogre::D3D9DriverList::enumerate | ( |  | ) |

| Definition at line 43 of file OgreD3D9DriverList.cpp. References mDriverList, and mpD3D. Referenced by D3D9DriverList().

D3D9Driver * Ogre::D3D9DriverList::item | ( | const String & | name | ) |

| Definition at line 71 of file OgreD3D9DriverList.cpp. References mDriverList, and Ogre::String.

D3D9Driver * Ogre::D3D9DriverList::item | ( | size_t | index | ) |

| Definition at line 66 of file OgreD3D9DriverList.cpp. References mDriverList. Referenced by Ogre::D3D9RenderSystem::initConfigOptions(), Ogre::D3D9RenderSystem::initialise(), Ogre::D3D9RenderSystem::refreshD3DSettings(), Ogre::D3D9RenderSystem::setConfigOption(), and Ogre::D3D9RenderSystem::validateConfigOptions().

## Member Data Documentation

std::vector<D3D9Driver> Ogre::D3D9DriverList::mDriverList`[private]`

| Definition at line 40 of file OgreD3D9DriverList.h. Referenced by count(), enumerate(), item(), and ~D3D9DriverList().

LPDIRECT3D9 Ogre::D3D9DriverList::mpD3D`[private]`

| Definition at line 41 of file OgreD3D9DriverList.h. Referenced by D3D9DriverList(), and enumerate().

The documentation for this class was generated from the following files:

- OgreD3D9DriverList.h
- OgreD3D9DriverList.cpp

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:49:22 2004